Overview
PUT
/auth/ecosystems/{ecosystemId}/admin-notesauthReconcile a subject’s admin notes within an ecosystem (owner-scoped)
Replace a record in admin-notes by ecosystemId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- ecosystemIdpathstring
Request body
application/json · optional
- subjectTablestring
- subjectIdstring
- notesobject[]
Example
{
"subjectTable": "string",
"subjectId": "string",
"notes": [
{
"id": "string",
"content": "string"
}
]
}Responses
200
Success
- okboolean
Example
{
"ok": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/admin-notes" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"subjectTable": "string",
"subjectId": "string",
"notes": [
{
"id": "string",
"content": "string"
}
]
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/admin-notes", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"subjectTable\": \"string\",\n \"subjectId\": \"string\",\n \"notes\": [\n {\n \"id\": \"string\",\n \"content\": \"string\"\n }\n ]\n}",
});
const data = await res.json();